#include <xc.h>		// If using XC8
// #include xxx		// If using AVR-GCC

#include "sreg.h"

void SregInit()
{
	// Set up port direction
	// PIC -> 0: output, 1: input
	CBI(SREG_DIR, SREG_DATA);
	CBI(SREG_DIR, SREG_CLK);
#if SREG_74595
	CBI(SREG_DIR, SREG_LE);
	SBI(SREG_PORT, SREG_LE);
#endif
}

void SregSend(uint8_t d)
{
	uint8_t i;
#if SREG_74164
	for(i=0; i<8; i++){
		if(d & 0x80){
			SBI(SREG_PORT, SREG_DATA);
		}else{
			CBI(SREG_PORT, SREG_DATA);
		}
		CBI(SREG_PORT, SREG_CLK);
		__delay_us(2);
		SBI(SREG_PORT, SREG_CLK);
		__delay_us(2);
		d = d << 1;
	}
#endif

#if SREG_74595
	// stub
#endif

}
